import request from '@/utils/request'

// 数字类数据统计
export function caseItemNumber() {
    return request({
        url: '/enforce/bigData/caseItemNumber',
        method: 'get',
    })
}

// 案件节点数据统计
export function caseProgressAccount() {
    return request({
        url: '/enforce/bigData/caseProgressAccount',
        method: 'get',
    })
}

// 案件来源数据统计
export function caseSourceAccount() {
    return request({
        url: '/enforce/bigData/caseSourceAccount',
        method: 'get',
    })
}

// 区域案件商户数据统计
export function areaCaseBusinessAccount() {
    return request({
        url: '/enforce/bigData/areaCaseBusinessAccount',
        method: 'get',
    })
}

// 案件列表
export function caseList() {
    return request({
        url: '/enforce/bigData/caseList',
        method: 'get',
    })
}

// 案件分类
export function caseTypeAccount() {
    return request({
        url: '/enforce/bigData/caseTypeAccount',
        method: 'get',
    })
}

// 重点违规商户
export function keyIllegalBusinessList() {
    return request({
        url: '/enforce/bigData/keyIllegalBusinessList',
        method: 'get',
    })
}

// 年度变化趋势
export function yearChangeAccount() {
    return request({
        url: '/enforce/bigData/yearChangeAccount',
        method: 'get',
    })
}


// 违规情况
export function casePreMonthNum() {
    return request({
        url: '/enforce/bigData/casePreMonthNum',
        method: 'get',
    })
}

// 天气预报
export function weatherInfo() {
  return request({
    url: '/bigData/common/weatherInfo',
    method: 'get',
  })
}
